This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888575 - Keystone's v2.0 API (the only API) is reported as in beta status
Keystone's v2.0 API (the only API) is reported as in beta status
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
2.1
Unspecified Unspecified
low Severity low
: snapshot5
: 2.1
Assigned To: Adam Young
Pavel Sedlák
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-18 17:15 EST by Russell Bryant
Modified: 2016-04-26 20:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: openstack-keystone-2012.2.3-5.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 16:22:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Bryant 2012-12-18 17:15:07 EST
Description of problem:

When you run 'keystone discover', Keystone reports that its API (v2.0) is beta.  It's the only API exposed and AFAIK, not beta.


Version-Release number of selected component (if applicable):

openstack-keystone-2012.2.1-1.el6ost.noarch
python-keystoneclient-0.1.3.27-1.el6.noarch
python-keystone-2012.2.1-1.el6ost.noarch

Steps to Reproduce:

[root@rhel ~(keystone_username)]# keystone discover
Keystone found at http://127.0.0.1:5000/v2.0/
    - supports version v2.0 (beta) here http://127.0.0.1:5000/v2.0/
Comment 2 Alan Pevec 2012-12-19 15:02:17 EST
It's upstream to decide the API status, I'll raise it there.
Comment 7 Adam Young 2013-03-05 17:03:55 EST
V2 is stable, just a question of documenting what that means.
Comment 9 Pavel Sedlák 2013-03-20 10:32:11 EDT
Verified - v2.0 api is reported as stable:

--- beta in openstack-keystone-2012.2.1-3.el6ost
$ keystone discover
Keystone found at http://192.168.33.12:35357/v2.0/
    - supports version v2.0 (beta) here http://192.168.33.12:35357/v2.0/
No handlers could be found for logger "keystoneclient.generic.client"

--- stable in openstack-keystone-2012.2.3-6.el6ost
$ keystone discover
Keystone found at http://192.168.33.11:35357/v2.0/
    - supports version v2.0 (stable) here http://192.168.33.11:35357/v2.0/
No handlers could be found for logger "keystoneclient.generic.client"
Comment 11 errata-xmlrpc 2013-04-04 16:22:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0708.html

Note You need to log in before you can comment on or make changes to this bug.